On-line User Guide

Pre-requisites

Hardware Requirements

TSplus Remote Support Client runs on both 32 and 64-bit editions of Windows computers.

TSplus Remote Support Server may only be installed on 64-bits editions of Windows computers.

Operating System

TSplus Remote Support is compatible with the following OS:

  • Windows 7 Service Pack 1
  • Windows 8/8.1
  • Windows 10 Pro
  • Windows 11 Pro
  • Windows Server 2008 SP2/Small Business Server SP2 or 2008 R2 SP1
  • Windows Server 2012 or 2012 R2
  • Windows Server 2016
  • Windows Server 2019
  • Windows Server 2022

Dependencies

TSplus Remote Support requires .NET Framework to be installed on the computer.

The minimum version supported is .NET Framework 4.5.2.

If the .NET Framework is not installed on the computer, TSplus Remote Support setup program will try to download and install it.